libzypp 17.37.10

zypp::functor::Or< TACondition, TBCondition > Struct Template Reference

Logical functor chaining TACondition `OR` TBCondition. More...

`#include <zypp/base/Functional.h>`

## Public Member Functions
| Or (TACondition conda_r, TBCondition condb_r)
template<class Tp>
bool | operator() (Tp t) const

## Public Attributes
TACondition | _conda
TBCondition | _condb

## Detailed Description

template<class TACondition, class TBCondition>
struct zypp::functor::Or< TACondition, TBCondition >

Logical functor chaining TACondition `OR` TBCondition.

Definition at line 135 of file Functional.h.

## Constructor & Destructor Documentation

## ◆ Or()

template<class TACondition, class TBCondition>

zypp::functor::Or< TACondition, TBCondition >::Or | ( | TACondition | conda_r,
|  | TBCondition | condb_r )
| inline

Definition at line 137 of file Functional.h.

## Member Function Documentation

## ◆ operator()()

template<class TACondition, class TBCondition>
template<class Tp>

bool zypp::functor::Or< TACondition, TBCondition >::operator() | ( | Tp | t | ) | const
| inline

Definition at line 143 of file Functional.h.

## Member Data Documentation

## ◆ _conda

template<class TACondition, class TBCondition>

TACondition zypp::functor::Or< TACondition, TBCondition >::_conda

Definition at line 148 of file Functional.h.

## ◆ _condb

template<class TACondition, class TBCondition>

TBCondition zypp::functor::Or< TACondition, TBCondition >::_condb

Definition at line 149 of file Functional.h.

The documentation for this struct was generated from the following file:

- zypp/base/Functional.h